PUT
/v1/organizations/{organizationId}/integration-environment-bindings/{integrationEnvironmentBindingId}Update an Integration Environment Binding
Conditionally replace the selected Integration Application or lifecycle state.
Authentication
Send an API key as a Bearer token in the Authorization header.
Parameters
Request body
Required.
application/jsonobject- unknown properties allowed
false
integrationIdrequiredstringThe replacement Integration selection.- maximum length
64 - pattern
^integration_[\s\S]+$
- maximum length
dataIntegrationApplicationIdrequiredstringThe replacement Organization-owned application selection.- maximum length
64 - pattern
^data_integration_app_[\s\S]+$
- maximum length
statusrequired- DataIntegrationStatusThe replacement binding lifecycle state.
Responses
200IntegrationEnvironmentBindingapplication/json400The request path, headers, query, or JSON body did not satisfy the published schema401Unauthorizedapplication/json403Forbiddenapplication/json404NotFoundapplication/json409Conflictapplication/json412DataIntegrationPreconditionFailedapplication/jsonReusable schemas
IntegrationEnvironmentBindingEncoded
object- unknown properties allowed
false
integrationEnvironmentBindingIdrequiredstringThe stable Integration Environment Binding identifier.- maximum length
64 - pattern
^integration_binding_[\s\S]+$
- maximum length
organizationIdrequiredstringThe Organization identifier.- maximum length
64 - pattern
^org_[\s\S]+$
- maximum length
projectIdrequiredstringThe Project identifier.- maximum length
64 - pattern
^proj_[\s\S]+$
- maximum length
environmentIdrequiredstringThe Environment identifier.- maximum length
64 - pattern
^env_[\s\S]+$
- maximum length
logicalNamerequiredstringThe stable logical name Agents use for this Environment binding.- maximum length
100 - minimum length
1 - pattern
^[a-z][a-z0-9_]*$
- maximum length
integrationIdrequiredstringThe stable Organization-scoped Integration identifier.- maximum length
64 - pattern
^integration_[\s\S]+$
- maximum length
dataIntegrationApplicationIdrequiredstringThe Organization-owned data Integration Application identifier.- maximum length
64 - pattern
^data_integration_app_[\s\S]+$
- maximum length
statusrequired- DataIntegrationStatusThe current lifecycle status.
generationrequiredintegerThe monotonically increasing binding representation generation.- greater than
0
- greater than
etagrequiredstringThe strong ETag required for the next conditional mutation.- maximum length
12 - pattern
^"(?:[1-9][0-9]{0,9})"$
- maximum length
createdAtrequiredstringWhen the resource was created, in UTC.- format
date-time
- format
updatedAtrequiredstringWhen the resource was last updated, in UTC.- format
date-time
- format
UnauthorizedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Unauthorized"
- allowed values
reasonrequiredstringA safe explanation of why the credential was rejected.
ForbiddenEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Forbidden"
- allowed values
permissionrequiredstringThe permission required by the refused operation.
NotFoundEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"NotFound"
- allowed values
resourcerequiredstringThe resource type relevant to the error.idrequiredstringThe identifier supplied for the resource that was not found.
ConflictEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Conflict"
- allowed values
resourcerequiredstringThe resource type relevant to the error.reasonrequiredstringA safe explanation of the state conflict.
DataIntegrationPreconditionFailedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"DataIntegrationPreconditionFailed"
- allowed values
resourcerequiredstringThe resource type relevant to the error.- allowed values
"integration", "dataIntegrationApplication", "integrationEnvironmentBinding", "dataIntegrationConnection", "knowledgeBase"
- allowed values
currentEtagrequiredstringThe current strong ETag required for the next conditional activation.- maximum length
12 - pattern
^"(?:[1-9][0-9]{0,9})"$
- maximum length
DataIntegrationStatus
string- allowed values
"active", "disabled"